package com.sd.business.controller.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.statement.dto.StatementOfAccountMergePageDto;
import com.sd.business.entity.statement.vo.StatementOfAccountVo;
import com.sd.business.service.statement.StatementOfAccountMergeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 对账单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
@RestController
@RequestMapping("/statementOfAccountMerge")
public class StatementOfAccountMergeController {

    @Autowired
    private StatementOfAccountMergeService statementOfAccountMergeService;

    /**
     * 对账报表分页
     */
    @PostMapping("/page")
    public Page<StatementOfAccountVo> page(@Validated @RequestBody StatementOfAccountMergePageDto dto) {
        return statementOfAccountMergeService.getPage(dto);
    }


}
